Delete node pool
curl --request DELETE \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Node Pools
Delete node pool
Delete a node pool.
DELETE
/
api
/
v1
/
nodepools
/
{nodePoolID}
Delete node pool
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Opaque public node pool ID. Opaque public resource ID.
Required string length:
1 - 128Response
The request has been accepted and will be fulfilled asynchronously. You may poll the resource and monitor its provisioning and health status to await completion of the operation.
Was this page helpful?